# Contributor Covenant Code of Conduct

# Our Pledge

We, as contributors, members, and leaders pledge to make participation with operator-builder and our
community a harassment-free experience for all, regardless of age, body size, education, ethnicity, gender identity and expression, level of experience, nationality, orientation, personal appearance, race, religion, sex characteristics, sexual identity, socio-economic status, visible or invisible disability.

We pledge to act and interact in ways that contribute to an open, diverse, inclusive, healthy and welcoming community.

## Our standards

### Appropriate behavior

The way we behave with one another affects the condition of the environment in our community.

The following are examples of behavior that positively impacts the environment in our community.

* Demonstrate empathy and kindness towards other people.
* Be respectful of differing opinions, viewpoints, and experiences.
* Give and gracefully accept constructive feedback.
* Accept responsibility. Apologize to those affected by your mistakes. Learn from the experience.
* Focus on what is best for the overall community -- not just for us as individuals.

### Inappropriate Behavior

The following are examples of behavior that negatively impacts the environment in our community.

* Sexual language, imagery, attention or advances of any kind.
* Trolling.
* Insulting comments, derogatory comments, personal attacks, and political attacks.
* Public or private harassment.
* Publishing private information about someone without receiving their written permission. Private information includes an email
  address or a physical email address.
* Any other conduct that is deemed inappropriate in a professional setting.

## Enforcement Responsibilities

Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior, and will take appropriate, fair, corrective action in
response to any behavior that they deem harmful, inappropriate, offensive or threatening.

Community leaders have the right and responsibility to edit, reject, or remove code, comments, commits, issues, Wiki edits, and other contributions that do not align to this Code of Conduct. The community leaders shall give their reasons for moderation decisions, as appropriate.

## Scope

This Code of Conduct applies within all community spaces, and whenever an individual is officially representing the community in public spaces.
Examples of representing our community include using an official e-mail address, posting on an official social media account, or acting as an appointed
representative at an online or offline event.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported to the community leaders responsible for enforcement at oss-coc@vmware.com.
All complaints will be reviewed and investigated promptly and fairly.

All community leaders are obligated to respect the privacy and security of the
reporter of any incident.

## Enforcement Guidelines

This section contains the Community Impact Guidelines that the community leaders will follow when determining the consequence of any action that violates this Code of Conduct.

### 1. Correction

**Community Impact**: Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community.

**Consequence**: A private, written warning from community leaders that provides clarity around the nature of the violation, and an explanation as to why the
behavior was inappropriate. A public apology may be requested.

### 2. Warning

**Community Impact**: A violation through a single incident or series of actions.

**Consequence**: A warning with consequences for continued behavior.There is no interaction with the people involved, including unsolicited interaction with
the community leaders enforcing the Code of Conduct, for a specified period of time. This type of consequence includes having to avoid interactions in community spaces and external channels like social media. Violating these terms may lead to a temporary or permanent ban.

### 3. Temporary Ban

**Community Impact**: A serious violation of community standards, including sustained inappropriate behavior.

**Consequence**: A temporary ban from any sort of interaction or public
communication with the community for a specified period of time. No public or
private interaction with the people involved, including unsolicited interaction
with those enforcing the Code of Conduct, is allowed during this period.
Violating these terms may lead to a permanent ban.

### 4. Permanent Ban

**Community Impact**: Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an
individual, or aggression toward, or disparagement of classes of individuals.

**Consequence**: A permanent ban from any sort of public interaction within the community.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage],
version 2.0, available at
https://www.contributor-covenant.org/version/2/0/code_of_conduct.html.

Community Impact Guidelines were inspired by [Mozilla's code of conduct
enforcement ladder](https://github.com/mozilla/diversity).

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see the FAQ at
https://www.contributor-covenant.org/faq. Translations are available at
https://www.contributor-covenant.org/translations.

